org.apache.calcite.avatica.util

## Class DateTimeUtils.NoopOffsetDateTimeHandler

- java.lang.Object
- - org.apache.calcite.avatica.util.DateTimeUtils.NoopOffsetDateTimeHandler

All Implemented Interfaces:
  DateTimeUtils.OffsetDateTimeHandler

Enclosing class:
  DateTimeUtils

    private static class DateTimeUtils.NoopOffsetDateTimeHandler
    extends Object
    implements DateTimeUtils.OffsetDateTimeHandler

Implementation of `OffsetDateTimeHandler` for environments where no instances are possible.

### Constructor Summary

Constructors
`private` `NoopOffsetDateTimeHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isOffsetDateTime(Object o)`
`String` `stringValue(Object o)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NoopOffsetDateTimeHandler

    private NoopOffsetDateTimeHandler()

### Method Detail

#### isOffsetDateTime

    public boolean isOffsetDateTime(Object o)

Specified by:
  `isOffsetDateTime` in interface `DateTimeUtils.OffsetDateTimeHandler`

#### stringValue

    public String stringValue(Object o)

Specified by:
  `stringValue` in interface `DateTimeUtils.OffsetDateTimeHandler`